commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: [GUMP@vmgump]: Project commons-configuration-test (in module apache-commons) failed
Date Sun, 01 Apr 2012 05:23:10 GMT
On 2012-04-01, Ralph Goers wrote:

> From the vfs2 log it looks like it is running into a binary
> incompatibility with SLF4J. vfs2 is specifying SLF4J 1.5.5 but mvn
> dependency:tree is showing me that Jackrabbit is referencing
> jcl-over-slf4j and is using 1.5.3.  I've added that to the vfs2 pom in
> hopes that Gump will honor it.

It won't.  Gump puts a proxy between mvn and the repo and always serves
the latest version by artifactId/groupId coordinates.  If a project
breaks backwards compatibility without changing either of them Gump
doesn't provide any proper way to deal with it.

> If it is trying to use the latest SLF4J then this can't be fixed as
> 1.6.0 introduced a breakage with LocationAwareLogger (at my request by
> the way). vfs2 doesn't actually use SLF4J - Jackrabbit does.

Given VFS is not the only project suffering from this and the slf4j
project never asked for being included in Gump it might be the best idea
to stop building slf4j in Gump and give the remaining projects the
version they ask for.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message